detekt-api
1.21.0-RC2

# AnnotationExcluder

class AnnotationExcluder ( root: KtFile, excludes: List < Regex >, context: BindingContext)
Content copied to clipboard

Primary use case for an AnnotationExcluder is to decide if a KtElement should be excluded from further analysis. This is done by checking if a special annotation is present over the element.

## Constructors

AnnotationExcluder
Link copied to clipboard
fun AnnotationExcluder (root: KtFile, excludes: SplitPattern )
Content copied to clipboard
AnnotationExcluder
Link copied to clipboard
fun AnnotationExcluder (root: KtFile, excludes: List < String >)
Content copied to clipboard
AnnotationExcluder
Link copied to clipboard
fun AnnotationExcluder ( root: KtFile, excludes: List < Regex >, context: BindingContext)
Content copied to clipboard

## Functions

shouldExclude
Link copied to clipboard
fun shouldExclude (annotations: List <KtAnnotationEntry>): Boolean
Content copied to clipboard

Is true if any given annotation name is declared in the SplitPattern which basically describes entries to exclude.